Rated 5 out of 5 stars

Why does it say incompatible with Firefox 4.0.1 ?

This review is for a previous version of the add-on (3).  This user has 3 previous reviews of this add-on.